



      SUBROUTINE ITM000 (DONE)


















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       GRAPON
      LOGICAL       DONE







      IF (OPTIN.EQ.MEN6COD(21)) GOTO 998
      IF (.NOT.GRAPON()) GOTO 998



      CALL MEN014 (OPTIN,DONE)



  998 CONTINUE


      RETURN
      END

      SUBROUTINE ITM013 (IMOL)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'IRIGRA.INC'
      INTEGER       IERR, GVFIN0, IMOL, MOLNUM, ITMNUM
      LOGICAL       GVFIBN


      RETURN
      END

      SUBROUTINE GRADOT (TEXT)


















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'VECTOR.INC'
      INCLUDE       'IRIGRA.INC'
      INTEGER       IERR, MAXVLC, LENTXT, NMVOLD, IGRV
      PARAMETER     (MAXVLC=MAXVEC-100)
      CHARACTER*(*) TEXT
      CHARACTER*80  TEXT2


      RETURN
      END
      SUBROUTINE GRADT2 (TEXT,IERR)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'IRIGRA.INC'
      INCLUDE       'VECTOR.INC'
      INCLUDE       'MOLITM.INC'
      INTEGER       GVFLEN, IERR, I, LENTXT, ICOLPT(36), ITMNUM,
     +              MOLNUM, MOLINT, K, ONETWO
      LOGICAL       GVFFOP, GVFICN, GVFIBN
      CHARACTER*(*) TEXT


      RETURN
      END
      SUBROUTINE GRAML2 (TEXT,IERR)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'IRIGRA.INC'
      INCLUDE       'VECTOR.INC'
      INCLUDE       'MOLITM.INC'
      INTEGER       GVFLEN, IERR, ICOLPT(36), I, ITMNUM,
     +              LENTXT, MOLNUM, MOLINT, K, J, TWO
      LOGICAL       GVFFOP, GVFICN, GRAPON, GVFIBN, GVFISF
      CHARACTER*(*) TEXT


      RETURN
      END
      SUBROUTINE GRAMOLA (MOLNUM,TEXT,IERR)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'VECTOR.INC'
      INCLUDE       'MOLITM.INC'
      INTEGER       GVFLEN, IERR, ICOLPT(36), ITMNUM, ITM028,
     +              LENTXT, MOLNUM, MOLINT
      CHARACTER*(*) TEXT
      LOGICAL       GVFIBN


      RETURN
      END
      SUBROUTINE GRAMOL (TEXT)


















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'VECTOR.INC'
      INCLUDE       'IRIGRA.INC'
      INTEGER       IERR, LENTXT, NMVOLD, I, J, MAXVCL
      PARAMETER     (MAXVCL=MAXVEC-100)
      CHARACTER*(*) TEXT
      CHARACTER*80  TEXT2


      RETURN
      END
      SUBROUTINE GRASRT (ICOLPT)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'VECTOR.INC'
      INTEGER       ICOLPT(36), I, IHUE







      IF (NUMGRV.EQ.0) THEN
         CALL GVSTTB ('?NEWB47')
         GOTO 998
      END IF



      CALL GVSIT0 (ICOLPT,36)
      DO 10 I=1,NUMGRV
         IHUE=NINT(FLOAT(HUEVAL(I))/10.0)
         IHUE=MOD(IHUE+36000,36)
         IF (IHUE.EQ.0) IHUE=36
         ICOLPT(IHUE)=ICOLPT(IHUE)+1
         HUEVAL(I)=NINT(FLOAT(IHUE)*10.0)
   10 CONTINUE



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GRASAVE

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'VECTOR.INC'
      INCLUDE       'IRIGRA.INC'







      IF (NUMGRV.LE.MAXVEC-1000) GOTO 998
      IF (WIFPAR(566).NE.0) CALL GRTVIN
      IF (.NOT.USE300) CALL GRTVIN



      CALL GRAMOL (' ')
      CALL GRTVIN



  998 CONTINUE


      RETURN
      END
